<!-- <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myTandaTerimaLabel" jhiTranslate="mpmApp.tandaTerima.home.createOrEditLabel">Create or edit a Tanda Terima</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!tandaTerima.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="tandaTerima.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.idreceipt" for="field_idreceipt">Idreceipt</label>
            <input type="number" class="form-control" name="idreceipt" id="field_idreceipt"
                [(ngModel)]="tandaTerima.idreceipt"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.receiptno" for="field_receiptno">Receiptno</label>
            <input type="text" class="form-control" name="receiptno" id="field_receiptno"
                [(ngModel)]="tandaTerima.receiptno"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.dtreceipt" for="field_dtreceipt">Dtreceipt</label>
            <div class="d-flex">
                <input id="field_dtreceipt" type="datetime-local" class="form-control" name="dtreceipt" [(ngModel)]="tandaTerima.dtreceipt"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.kdsup" for="field_kdsup">Kdsup</label>
            <input type="text" class="form-control" name="kdsup" id="field_kdsup"
                [(ngModel)]="tandaTerima.kdsup"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.dtdue" for="field_dtdue">Dtdue</label>
            <div class="d-flex">
                <input id="field_dtdue" type="datetime-local" class="form-control" name="dtdue" [(ngModel)]="tandaTerima.dtdue"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.dtpurc" for="field_dtpurc">Dtpurc</label>
            <div class="d-flex">
                <input id="field_dtpurc" type="datetime-local" class="form-control" name="dtpurc" [(ngModel)]="tandaTerima.dtpurc"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.dtmkt" for="field_dtmkt">Dtmkt</label>
            <div class="d-flex">
                <input id="field_dtmkt" type="datetime-local" class="form-control" name="dtmkt" [(ngModel)]="tandaTerima.dtmkt"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.dtacc" for="field_dtacc">Dtacc</label>
            <div class="d-flex">
                <input id="field_dtacc" type="datetime-local" class="form-control" name="dtacc" [(ngModel)]="tandaTerima.dtacc"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.dtfin" for="field_dtfin">Dtfin</label>
            <div class="d-flex">
                <input id="field_dtfin" type="datetime-local" class="form-control" name="dtfin" [(ngModel)]="tandaTerima.dtfin"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.numbgiro" for="field_numbgiro">Numbgiro</label>
            <input type="text" class="form-control" name="numbgiro" id="field_numbgiro"
                [(ngModel)]="tandaTerima.numbgiro"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.dtgiro" for="field_dtgiro">Dtgiro</label>
            <div class="d-flex">
                <input id="field_dtgiro" type="datetime-local" class="form-control" name="dtgiro" [(ngModel)]="tandaTerima.dtgiro"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.total" for="field_total">Total</label>
            <input type="number" class="form-control" name="total" id="field_total"
                [(ngModel)]="tandaTerima.total"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.tandaTerima.grandtotal" for="field_grandtotal">Grandtotal</label>
            <input type="number" class="form-control" name="grandtotal" id="field_grandtotal"
                [(ngModel)]="tandaTerima.grandtotal"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form> -->
